package org.processmining.visualisation3d;

import com.jogamp.opengl.GL3;
import com.jogamp.opengl.GLException;

public class PipelineStateGL3 extends PipelineStateGL2
{
	protected GL3 gl3 = null;	
	
	public PipelineStateGL3()
	{
	}

	@Override
	public void Apply(GraphicsPipeline pipe)
	{
		super.Apply(pipe);
		
		gl3 = null;
		try
		{
			gl3 = pipe.gl.getGL3();
		}
		catch (GLException glex)
		{
			System.out.println("Pipeline State is not supported because GLProfile does not support required functions!");
		}		
	}

	@Override
	public void Unapply(GraphicsPipeline pipe)
	{
		super.Unapply(pipe);
		
		gl3 = null;
		try
		{
			gl3 = pipe.gl.getGL3();
		}
		catch (GLException glex)
		{
			System.out.println("Pipeline State is not supported because GLProfile does not support required functions!");
		}	
	}
}
