package org.processmining.visualisation3d.gldatastructures;

import org.processmining.visualisation3d.GraphicsPipeline;

public interface IJoglFrameBufferObject extends IGLResource
{
	public abstract int getWidth();

	public abstract int getHeight();

	public abstract int getFramebufferId();

	public abstract IJoglFrameBufferAttachment CreateRboAttachment(GraphicsPipeline pipe, int bufferType);

	public abstract boolean isFramebufferComplete();

	//public abstract void Delete(GL2 gl);

	public abstract void Bind(GraphicsPipeline pipe);

	public abstract void Bind(GraphicsPipeline pipe, int type);

	public abstract void Unbind(GraphicsPipeline pipe);

	public abstract void BlitToBackbuffer(GraphicsPipeline pipe, int w, int h);

	public abstract void BlitToFrontbuffer(GraphicsPipeline pipe, int w, int h);

}