package org.processmining.visualisation3d.graphicsdatastructures;

import org.processmining.visualisation3d.GraphicsPipeline;
import org.processmining.visualisation3d.gldatastructures.JoglVertexArrayObjectBuffer;
import org.processmining.visualisation3d.maths.JoglVectord2;
import org.processmining.visualisation3d.maths.JoglVectord2Buffer;

import com.jogamp.opengl.GL2;

public class JoglMeshDataBufferVectord2 extends JoglVectord2Buffer implements IJoglMeshDataBuffer
{
	public JoglMeshDataBufferVectord2()
	{
		
	}
	
	public JoglMeshDataBufferVectord2(int vCapacity)
	{
		super(vCapacity);
	}
	
	public JoglVertexArrayObjectBuffer getVAOBuffer(GraphicsPipeline pipe) 
	{
		texCoordsd.rewind();
		
		JoglVertexArrayObjectBuffer texbuf = new JoglVertexArrayObjectBuffer(pipe, JoglVectord2.class, true);
		texbuf.Bind(pipe);
        texbuf.SetData(pipe.gl, texCoordsd);
        texbuf.Unbind(pipe);
        
		return texbuf;
	}
	
	@Override
	public void drawNextVertex3d(GL2 gl)
	{
	}

	@Override
	public void drawNextColor3d(GL2 gl)
	{
	}

	@Override
	public void drawNextNormal3d(GL2 gl)
	{
	}
	
	@Override
	public void drawNextTexCoord2d(GL2 gl)
	{
		gl.glTexCoord2d(texCoordsd.get(), texCoordsd.get());
	}
}
