package org.processmining.visualisation3d.graphicsdatastructures;

import org.processmining.visualisation3d.GraphicsPipeline;

public class JoglRenderTargetCustom extends JoglRenderTarget
{
	private int x = 0;
	private int y = 0;
	private int width = 0;
	private int height = 0;
	
	@Override
	public int getWidth()
	{
		return width;
	}

	@Override
	public int getHeight()
	{
		return height;
	}
	
	public JoglRenderTargetCustom(int x, int y, int w, int h)
	{
		this.x = x;
		this.y = y;
		width = w;
		height = h;
	}
	
	@Override
	public void FitViewport(GraphicsPipeline pipe)
	{
		pipe.gl.glViewport(x, y, getWidth(), getHeight());
	}
}
