package org.processmining.visualisation3d.plugin;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;


/*
 * This is the entry class of the comparative visualisation plug-in.
 * */
public class ThreeDeeTest 
{
	@Plugin(
		name = "Process Profiler 3D: Test 3D", 
		parameterLabels = { }, 
		returnLabels = { "3D Visualisation" }, 
		returnTypes = { ThreeDeeViz.class }, 
		userAccessible = false, 
		help = "This plug-in visualizes a process model in 3D."
	)
	@UITopiaVariant(
		affiliation = "Queensland University of Technology", 
		author = "Erik Poppe", 
		email = "erik.poppe@qut.edu.au"
	)

    @PluginVariant(requiredParameterLabels = { })
	public ThreeDeeViz visualise(final UIPluginContext context)
	{	
		ThreeDeeViz mviz = new ThreeDeeViz();
		
		return mviz;
	}
	
	
}
