package org.processmining.visualisation3d.utils;

import java.io.File;

import org.processmining.visualisation3d.GraphicsPipeline;

import com.jogamp.opengl.util.GLReadBufferUtil;

public class JoglScreenshotCapture implements IScreenshotCapture 
{
	private String fileName = "C:/Lab/Export/screenshot.png";
	
	public JoglScreenshotCapture(String fileName)
	{
		this.fileName = fileName;
	}
	
	public void GrabScreenshot(GraphicsPipeline pipe) 
	{
		GLReadBufferUtil rbu = new GLReadBufferUtil(false, false);
		rbu.readPixels(pipe.gl, false);
		rbu.write(new File(fileName));
		
		System.out.println("Screenshot saved: " + fileName);
	}
}
