package org.processmining.visualisation3d;

import org.processmining.visualisation3d.input.JoglInputMouseEvent;
import org.processmining.visualisation3d.input.JoglInputMouseWheelEvent;

public interface IMouseProcessor
{

	//MouseListener method implementation
	void mouseClicked(JoglInputMouseEvent e);

	void mouseEntered(JoglInputMouseEvent e);

	void mouseExited(JoglInputMouseEvent e);

	void mousePressed(JoglInputMouseEvent e);

	void mouseReleased(JoglInputMouseEvent e);

	void mouseMoved(JoglInputMouseEvent e);

	void mouseDragged(JoglInputMouseEvent e);

	void mouseWheelMoved(JoglInputMouseWheelEvent e);

}