package org.processmining.visualisation3d.graphicsdatastructures;

import org.processmining.visualisation3d.GraphicsPipeline;
import org.processmining.visualisation3d.gldatastructures.JoglVertexArrayObjectBuffer;

import com.jogamp.opengl.GL2;

public interface IJoglMeshDataBuffer 
{   
    public JoglVertexArrayObjectBuffer getVAOBuffer(GraphicsPipeline pipe);
	
	public void drawNextVertex3d(GL2 gl);
	
	public void drawNextColor3d(GL2 gl);
	
	public void drawNextNormal3d(GL2 gl);
	
	public void drawNextTexCoord2d(GL2 gl);
}
