package org.processmining.visualisation3d.graphicsdatastructures;

import org.processmining.visualisation3d.GraphicsPipeline;
import org.processmining.visualisation3d.collision.JoglRay;
import org.processmining.visualisation3d.maths.JoglMatrixd4x4;
import org.processmining.visualisation3d.maths.JoglVectord2;
import org.processmining.visualisation3d.maths.JoglVectord3;

public class JoglCameraLens 
{
	protected double aspect = 1.0f;
	protected float nearDist = 0.01f;
	protected float farDist = 1500.0f;
	protected JoglMatrixd4x4 projMatrix;

	public JoglVectord2 getDepthRange() 
	{
		return new JoglVectord2(nearDist, farDist);
	}

	public double getAspect() 
	{
		return aspect;
	}
	
	public JoglCameraLens() 
	{
		super();
	}
	
//	private static void LoadMatrix(GraphicsPipeline pipe, JoglMatrixd4x4 mat) 
//	{
//		//double[] cdat = mat.GetData();
//		//gl.glLoadMatrixd(cdat, 0);
//		pipe.transform.LoadMatrix(mat);
//	}

	public void SetProjectionMatrix(GraphicsPipeline pipe) 
	{
		//pipe.gl.glMatrixMode(GLMatrixFunc.GL_PROJECTION);
		//LoadMatrix(pipe, projMatrix);
		pipe.projection.LoadMatrix(projMatrix);
		
		//pipe.gl.glMatrixMode(GLMatrixFunc.GL_MODELVIEW);
	}

	public JoglVectord3 ProjectToScreen(double x, double y, double z, double aspect)
	{
    	return JoglVectord3.ZERO;
	}
    
    public JoglRay GetRay(JoglCamera cam, JoglVectord2 p)
    {
    	return null;
    }
    
    public void logProjectionMatrix()
    {
    	System.out.println(JoglMatrixd4x4.print(projMatrix));
    }
}