package org.processmining.visualisation3d.input;

import java.awt.Point;
import java.awt.event.MouseWheelEvent;

public class JoglInputMouseWheelEvent extends JoglInputEvent 
{	
	private int wheelRot = 0;
	private Point point;
	
	public JoglInputMouseWheelEvent(MouseWheelEvent evt)
	{
		point = evt.getPoint();
		wheelRot = evt.getWheelRotation();
	}
	
	public Point getPoint()
	{
		return point;
	}
	
	public int getX()
	{
		return point.x;
	}
	
	public int getY()
	{
		return point.y;
	}
	
	public int getWheelRotation()
	{
		return wheelRot;
	}
}
